> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Каталог подарков

> Возвращает список доступных игр в каталоге подарков с пагинацией



## OpenAPI

````yaml GET /gifts/catalog
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /gifts/catalog:
    get:
      description: Возвращает список доступных игр в каталоге подарков с пагинацией
      parameters:
        - name: page
          in: query
          description: Номер страницы (начиная с 0)
          required: false
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          description: Количество игр на странице
          required: false
          schema:
            type: integer
            default: 20
        - name: genre
          in: query
          description: Фильтр по жанру (например, `Action`, `RPG`)
          required: false
          schema:
            type: string
        - name: steamCategory
          in: query
          description: >-
            Фильтр по категории Steam Featured. Допустимые значения: `specials`,
            `coming_soon`, `top_sellers`, `new_releases`
          required: false
          schema:
            type: string
            enum:
              - specials
              - coming_soon
              - top_sellers
              - new_releases
        - name: query
          in: query
          description: Полнотекстовый поиск по названию и описанию игры
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Список игр в каталоге
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GiftCatalogResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GiftCatalogResponse:
      type: object
      properties:
        games:
          description: Список игр в каталоге
          type: array
          items:
            $ref: '#/components/schemas/GiftCatalogGame'
        total:
          description: Общее количество игр в каталоге
          type: integer
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
    GiftCatalogGame:
      type: object
      properties:
        appId:
          description: Идентификатор приложения Steam
          type: integer
        slug:
          description: Уникальный идентификатор игры (например, `steam-730`)
          type: string
        title:
          description: Название игры
          type: string
        headerImage:
          description: URL обложки игры
          type: string
        shortDescription:
          description: Краткое описание игры
          type: string
        genres:
          description: Жанры игры
          type: array
          items:
            type: string
        price:
          description: Ценовая информация в рублях. `null` если данные о цене недоступны.
          nullable: true
          type: object
          properties:
            paymentAmount:
              description: Сумма к оплате в копейках (RUB)
              type: integer
            paymentCurrency:
              description: Валюта оплаты
              type: string
              example: RUB
            paymentAmountFull:
              description: Сумма без скидки в копейках (только если есть скидка)
              type: integer
            discountPercent:
              description: Размер скидки в процентах (только если есть скидка)
              type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````